%define		oname lshell

Name:		python-lshell
Version:	0.9.15.1
Release:	%mkrel 4
Summary:	Python-based limited Shell

Group:		Shells
License:	GPLv3+
URL:		http://ghantoos.org/limited-shell-lshell
Source:		http://downloads.sourceforge.net/%{oname}/%{oname}-%{version}.tar.gz
BuildArch:	noarch

BuildRequires:	pkgconfig(python)

Requires:	python

%description
lshell provides a limited shell configured per user. The configuration
is done quite simply using a configuration file.


%prep
%setup -q -n %{oname}-%{version}
#Fix permission
chmod -x CHANGES
#Remove shebang
sed -i -e '/^#!\//, 1d' lshellmodule/lshell.py


%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root=%{buildroot}
#doc files at the wrong place
rm %{buildroot}%{_defaultdocdir}/lshell/{CHANGES,COPYING,README}


%files
%doc CHANGES COPYING README
%{_mandir}/man*/*.*
%{_bindir}/%{oname}
%config(noreplace) %{_sysconfdir}/%{oname}.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/%{oname}
%{python_sitelib}/lshell.py*
%{python_sitelib}/%{oname}*.egg-info


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 0.9.15.1-4.mga4
+ Revision: 543740
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.9.15.1-3.mga4
+ Revision: 498867
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 0.9.15.1-2.mga3
+ Revision: 379074
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 sander85 <sander85> 0.9.15.1-1.mga3
+ Revision: 343938
- imported package python-lshell

